Bug 591257 - anaconda thinks HP MSA2000 FC attached storage is Simple Storage
anaconda thinks HP MSA2000 FC attached storage is Simple Storage
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda (Show other bugs)
6.0
x86_64 Linux
low Severity medium
: rc
: ---
Assigned To: Peter Jones
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-11 14:32 EDT by Barry Marson
Modified: 2010-11-10 14:43 EST (History)
2 users (show)

See Also:
Fixed In Version: anaconda-13.21.40-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 14:43:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
storage.log (239.29 KB, text/plain)
2010-05-11 16:35 EDT, Barry Marson
no flags Details
storage.log from advanced selection (238.99 KB, text/x-log)
2010-05-12 11:50 EDT, Barry Marson
no flags Details

  None (edit)
Description Barry Marson 2010-05-11 14:32:24 EDT
Description of problem:

I have to keep Simple storage selected to install an OS on HP MSA2000 based storage.  This storage is FC attached.

Version-Release number of selected component (if applicable):
RHEL6.0-20100506.3 but has been a problem at least as far back as distros from early march.

How reproducible:
every time

Steps to Reproduce:
1. have to select Simple to get FC based storage to show up
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 Chris Lumens 2010-05-11 16:24:53 EDT
Can you attach /tmp/storage.log after running through and selecting advanced?
Comment 3 RHEL Product and Program Management 2010-05-11 16:31:26 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 4 Barry Marson 2010-05-11 16:35:55 EDT
Created attachment 413253 [details]
storage.log

as requested.
Comment 5 Barry Marson 2010-05-11 16:36:58 EDT
scratch that ... #4 is with simple storage
Comment 6 Barry Marson 2010-05-11 16:39:21 EDT
I do know that 2 months when I played with Advanced, my MSA storage LUNS didn't show up on the list.  I will have to try Advanced tomorrow.

Barry
Comment 7 Barry Marson 2010-05-12 11:50:17 EDT
Created attachment 413466 [details]
storage.log from advanced selection

I have other logs as well.

But I was surprised to find the MSA storage reported in both Simple and Advanced.

Barry
Comment 8 Chris Lumens 2010-05-12 16:00:39 EDT
I take it all your multipath devices are showing up in both the simple storage UI and in the advanced storage UI, right?  Which tab on the advanced storage UI are they showing up in?  Hopefully, the multipath tab.

I may need to come down and check this out in person tomorrow or Friday.
Comment 9 Chris Lumens 2010-05-13 11:12:27 EDT
pjones has patches on anaconda-maint-list that have been tested and make this work.
Comment 10 Chris Lumens 2010-05-13 11:31:47 EDT
Could we get a QA ack on this bug?  It's tested, approved, and ready to go.
Comment 12 Chris Lumens 2010-05-13 11:49:14 EDT
Thanks.
Comment 14 Alexander Todorov 2010-07-19 10:30:09 EDT
Barry,
which system has this kind of storage? I wasn't able to find one in Beaker. Can you give QE access to the system or test again with snapshot #7 (snap #8 has bug #615936 when selecting Advanced storage).
Comment 15 Barry Marson 2010-07-20 10:58:57 EDT
Im not free to give up my machine, I will test snap 7.

Barry
Comment 16 Alexander Todorov 2010-07-21 12:09:58 EDT
Barry,
setting needinfo from your for tracking purposes. Please provide test results when you finish testing snap #7 or newer snapshot.

Thanks.
Comment 17 Barry Marson 2010-07-27 17:25:57 EDT
Actually tested  RHEL6.0-20100722.0 and verified through the gui install that advanced device discovery shows the the correct luns in the correct tabs .. ie simple/advanced.  Of course I looked in the one that had SAN on it and when it wasnt there realized it was in multipath devices ...

So thumbs up.
Barry
Comment 18 releng-rhel@redhat.com 2010-11-10 14:43:19 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.